Migrate bindings to a policy version
curl --request POST \
--url https://api.dev.swarmd.ai/relay/v1/policy-groups/{groupId}/cascade-rebind \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"targetVersion": "<string>",
"bindings": [
{
"sourceVersion": "<string>",
"bindingId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"reason": "<string>"
}
'import requests
url = "https://api.dev.swarmd.ai/relay/v1/policy-groups/{groupId}/cascade-rebind"
payload = {
"targetVersion": "<string>",
"bindings": [
{
"sourceVersion": "<string>",
"bindingId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"reason": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
targetVersion: '<string>',
bindings: [{sourceVersion: '<string>', bindingId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'}],
reason: '<string>'
})
};
fetch('https://api.dev.swarmd.ai/relay/v1/policy-groups/{groupId}/cascade-rebind', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"bindingId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": "<string>",
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"groupName": "<string>",
"groupVersion": "<string>",
"isLatestGroupVersion": true,
"bindingLevel": "TENANT",
"agent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"sourceAgent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"sourceUser": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"sinkAgent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"channel": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"mcpServer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"llmGateway": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"priority": 123,
"validFrom": "2023-11-07T05:31:56Z",
"validTo": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
]Policy Groups
Migrate bindings to a policy version
Security Requirements
| Auth Types | Entities | Permissions | Required Roles |
|---|---|---|---|
| USER | TENANT | WRITE | TENANT:WRITE |
Atomically migrates the selected bindings to a policy version with an auditable reason.
POST
/
relay
/
v1
/
policy-groups
/
{groupId}
/
cascade-rebind
Migrate bindings to a policy version
Authorizations
JWT token (USER, AGENT, or SERVICE auth)
Path Parameters
Body
application/json
Response
200 - application/json
OK
Available options:
TENANT, ANY_TO_AGENT, AGENT_TO_AGENT, USER_TO_AGENT, CHANNEL_TO_ANY_AGENT, CHANNEL_TO_AGENT, ANY_TO_MCP_SERVER, ANY_TO_LLM_GATEWAY, AGENT_TO_MCP_SERVER, AGENT_TO_LLM_GATEWAY, USER_TO_LLM_GATEWAY Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
